# List UDB Instance Log Backup Information - DescribeUDBLogPackage

## Overview

List UDB instance binlog or slowlog or errorlog backup information

 > 💡 The new version (NVMe type) MongoDB/PostgreSQL is not supported, please use the corresponding product's API for the new version (NVMe type) MongoDB/PostgreSQL.




## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `DescribeUDBLogPackage`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.dezai.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [List of Regions and Availability Zones](/docs/api/summary/regionlist) |**Yes**|
| **Zone** | string | Availability Zone. See [Availability Zone List](/docs/api/summary/regionlist) |No|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, sub-accounts must be filled in. Please refer to the [GetProjectList interface](/docs/api/summary/get_project_list). |No|
| **Offset** | int | The starting offset for pagination display, specified for list operations. |**Yes**|
| **Limit** | int | The number of items displayed per page, specified by the list operation. |**Yes**|
| **Type** | int | The types of backup files that need to be listed, the values for each type are as follows: 2 represents BINLOG_BACKUP; 3 represents SLOW_QUERY_BACKUP; 4 represents ERRORLOG_BACKUP; |No|
| **Types.N** | int | Types, as a supplement to Type, supports multiple value inputs, and can obtain log records of multiple types, such as: Types.0=2&Types.1=3 |No|
| **DBId** | string | DB instance Id, if specified, only the backup information of this db will be obtained; Must be filled in when Type is 2. |No|
| **BeginTime** | int | Filter Condition: Start Time (Timestamp) |No|
| **EndTime** | int | Filter Condition: End Time (Timestamp) |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **DataSet** | array[[*LogPackageDataSet*](#logpackagedataset)] | Backup Information See LogPackageDataSet |No|
| **TotalCount** | int | Total number of backups, if dbid is specified, then it is the total number of backups for that db. |No|

#### Data Model


#### LogPackageDataSet

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Zone** | string | Located in the available zone |No|
| **BackupId** | int | Backup ID |No|
| **BackupName** | string | Backup Name |No|
| **BackupTime** | int | Backup Time |No|
| **BackupSize** | int | Backup File Size |No|
| **BackupType** | int | Backup types, including 2-binlog backup, 3-slowlog backup |No|
| **BinlogType** | string | binlog backup type Manual //Manual backup Auto //Automatic backup |No|
| **State** | string | Backup Status Backuping // Backing up Success // Backup Successful Failed // Backup Failed Expired // Backup Expired |No|
| **DBId** | string | dbid |No|
| **DBName** | string | Corresponding db name |No|
| **BackupZone** | string | Cross-Availability Zone High Availability Backup Library Availability Zone |No|

## Example

### Request Example
    
```
https://api.dezai.com/?Action=DescribeUDBLogPackage
&Region=cn-bj2
&Zone=cn-bj2-04
&Offset=0
&Limit=20
&Type=2
```

### Response Example
    
```json
{
  "Action": "DescribeUDBLogPackageResponse",
  "DataSet": [
    {
      "BackupId": 45264,
      "BackupName": "undefined",
      "BackupSize": 339,
      "BackupTime": 1329815192,
      "BackupType": 2,
      "BackupZone": "",
      "DBId": "udbha-xxxxxx",
      "DBName": "test_linshi",
      "State": "Success",
      "Zone": "cn-bj2-04"
    },
    {
      "BackupId": 39,
      "BackupName": "rizhi_01",
      "BackupSize": 10670,
      "BackupTime": 1439430490,
      "BackupType": 2,
      "BackupZone": "",
      "DBId": "udb-xxxxxx",
      "DBName": "annian_2g",
      "State": "Success",
      "Zone": "cn-bj2-05"
    }
  ],
  "RetCode": 0,
  "TotalCount": 2
}
```





